Relograde API Docs
API SpecificationOrder

Confirm order

Confirm an order after creation using the trx returned by the Create order endpoint. This endpoint will attempt to return an order with the status finished. If the order cannot be finished within 20-30 seconds, the endpoint will return an order with the status pending.

To find out when the order is finished, you can either call the Find order endpoint at a later time or make use of our Webhook feature.

If you wish for the order to either be delivered instantly or not at all, it is suggested to use the Resolve order endpoint

PATCH
/api/1.03/order/confirm/{trx}

Usage

For bulk orders and systems where latency isn't critical. Orders are processed in batches where all customers are treated equally. Suitable for larger volumes.

Sandbox

In sandbox mode this endpoint has a 50% chance to be cancelled immediately for testing purposes.

Authorization

bearerAuth
AuthorizationBearer <token>

Add your API key here

In: header

Path Parameters

trx*string

Order reference

Response Body

application/json

text/plain

text/plain

text/plain

text/plain

curl -X PATCH "https://connect.relograde.com/api/1.03/order/confirm/RELO0TFQK8FXQXSPURM"
{  "trx": "RELO0TFQK8FXQXSPURS",  "priceCurrency": "EUR",  "priceAmount": 58.14,  "priceVat": 0.23,  "priceInclVat": 58.37,  "priceFx": 1,  "dateCreated": "2025-01-24T11:30:20Z",  "paymentStatus": "paid",  "type": "api",  "reference": "test",  "state": "sandbox",  "orderStatus": "created",  "isBalancePayment": true,  "downloaded": true,  "items": [    {      "product": {        "slug": "amazon-gb-gbp-10",        "name": "Amazon.co.uk 10 GBP",        "brand": "amazon",        "productType": "topup",        "region": "ww",        "faceValueAmount": 10,        "faceValueCurrency": "gbp",        "faceValueMin": 5,        "faceValueMax": 500,        "mainCategory": "giftcard",        "redeemType": "service",        "isStocked": true      },      "amount": 1,      "priceCurrency": "eur",      "singlePriceAmount": 5.13,      "totalPriceAmount": 5.13,      "totalPriceVat": 0.03,      "totalPriceInclVat": 5.16,      "priceFx": 1,      "paymentCurrency": "eur",      "singlePriceAmountInPaymentCurrency": 5.13,      "totalPriceAmountInPaymentCurrency": 5.13,      "totalPriceVatInPaymentCurrency": 0.03,      "totalPriceInclVatInPaymentCurrency": 5.16,      "orderLines": [        {          "id": 672442,          "tag": "TAG-aa440cf5-56c3-44b8-a3b6-10338e527687",          "orderId": 5300350,          "dateCreated": "2025-01-24T11:30:20Z",          "brandSlug": "rewarble",          "productSlug": "rewarble-ww-eur-5",          "productFacevalueAmount": 5,          "productFacevalueCurrency": "eur",          "productFacevalueFx": 1,          "priceAmount": 5.13,          "priceCurrency": "eur",          "priceFx": 1,          "voucherCode": "string",          "voucherSerial": "string",          "voucherUrl": "string",          "voucherDateExpired": "2019-08-24T14:15:22Z",          "purchasePriceAmount": 5,          "purchasePriceCurrency": "eur",          "purchasePriceFx": 1,          "status": "string",          "commissionEur": 0.13,          "externalId": "string",          "offerId": "f4c01",          "externalSupplier": "rewarble",          "priceVatAmount": 0.03,          "priceVatTurnover": 0.13,          "priceInclVat": 5.16,          "priceAmountInPaymentCurrency": 5.13,          "priceVatAmountInPaymentCurrency": 0.03,          "priceVatTurnoverInPaymentCurrency": 0.13,          "priceInclVatInPaymentCurrency": 5.16,          "paymentCurrency": "eur",          "paymentCurrencyFx": 1,          "dateUpdated": "2025-01-24T11:30:20Z",          "state": "sandbox",          "product": "{\\\"name\\\": \\\"rewarble 5 EUR WW\\\", \\\"slug\\\": \\\"rewarble-ww-eur-5\\\", \\\"brand\\\": \\\"rewarble\\\", \\\"offers\\\": [{\\\"price\\\": 5.13, \\\"offerId\\\":\n\\\"f4c01\\\", \\\"currency\\\": \\\"eur\\\", \\\"supplier\\\": \\\"rewarble\\\", \\\"stockCount\\\": 1000, \\\"purchasePrice\\\": 5.0, \\\"purchasePriceCurrency\\\": \\\"eur\\\"}],\n\\\"region\\\": \\\"ww\\\", \\\"inScope\\\": true, \\\"bestOffer\\\": {\\\"price\\\": 5.13, \\\"offerId\\\": \\\"f4c01\\\", \\\"currency\\\": \\\"eur\\\", \\\"supplier\\\":\n\\\"rewarble\\\", \\\"stockCount\\\": 1000, \\\"purchasePrice\\\": 5.0, \\\"purchasePriceCurrency\\\": \\\"eur\\\"}, \\\"faceValue\\\": 5.0, \\\"isStocked\\\": true,\n\\\"redeemType\\\": \\\"currency\\\", \\\"stockCount\\\": 1000, \\\"priceAmount\\\": 5.13, \\\"productType\\\": \\\"topup\\\", \\\"vatCategory\\\": \\\"MPV\\\",\n \\\"mainCategory\\\": \\\"giftcard\\\", \\\"priceCurrency\\\": \\\"eur\\\", \\\"faceValueCurrency\\\": \\\"eur\\\", \\\"isVariableProduct\\\": false, \\\"isIncentiveProduct\\\": false}\n",          "token": "6932374Mzsb28kxEzIKCxhgnoHrlUfYEBQt",          "redemptionLink": "https://reward.relograde.com/6932374Mzsb28kxEzIKCxhgnoHrlUfYEBQt",          "dateVoucherViewed": "2019-08-24T14:15:22Z",          "dateLinkViewed": "2019-08-24T14:15:22Z",          "dateReturned": "2019-08-24T14:15:22Z",          "allowAsyncDelivery": true,          "productRegion": "ww",          "entityId": 1        }      ],      "linesCompleted": 1,      "productSlug": "rewarble-ww-eur-5",      "faceValueAmount": 5,      "faceValueCurrency": "eur",      "faceValueFx": 1    }  ]}

Order status is not 'created'

"this order can not be confirmed"

User does not have enough balance on the specified account

"insufficient balance"

Invalid order trx

"Order not found"

One or more offers are not available

"some offers not available: `offerNames`"